/* 
 * dictionaryInt.h --
 *
 *  This is the header file for the module that implements dictionary
 *  objects' internals.
 *
 * Copyright (c) 1999-2000 Frdric BONNET <frederic.bonnet@ciril.fr>
 *
 * See the file "license.txt" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

#ifndef _DICTIONARY_INT_H_
#define _DICTIONARY_INT_H_

#include <tcl.h>

/*
 * The "dictionary" Tcl_ObjType.
 */

extern Tcl_ObjType	dictionaryObjType;

/* 
 * Reference to Tcl list type. Used in type conversion code.
 * Initialized in Dictionary_Init().
 */

extern Tcl_ObjType*	listObjTypePtr;


/*
 * The structure used as the internal representation of dictionary objects.
 * It contains a has table whose keys are the elements names as strings and
 * values are the elements values as Tcl_Obj*.
 */

typedef struct Dictionary {
    Tcl_HashTable elements;
} Dictionary;

int DictionaryArrayObjCmd _ANSI_ARGS_((ClientData clientData, 
				       Tcl_Interp *interp, int objc,
				       Tcl_Obj *CONST objv[]));

#endif /* _DICTIONARY_INT_H_ */
